## org.apache.poi.hsmf.parsers
Class POIFSChunkParser

    java.lang.Object
      org.apache.poi.hsmf.parsers.POIFSChunkParser

    public final class POIFSChunkParser

extends java.lang.Object

Processes a POIFS of a .msg file into groups of Chunks, such as core data, attachment #1 data, attachment #2 data, recipient data and so on.

Constructor Summary
`POIFSChunkParser()`

Method Summary
`static ChunkGroup[]` `parse(DirectoryNode node)`
`static ChunkGroup[]` `parse(POIFSFileSystem fs)`
`protected static void` `process(Entry entry, ChunkGroup grouping)` Creates a chunk, and gives it to its parent group
`protected static void` `processChunks(DirectoryNode node, ChunkGroup grouping)` Creates all the chunks for a given Directory, but doesn't recurse or descend

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### POIFSChunkParser

    public POIFSChunkParser()

Method Detail

### parse

    public static ChunkGroup[] parse(POIFSFileSystem fs)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### parse

    public static ChunkGroup[] parse(DirectoryNode node)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### processChunks

    protected static void processChunks(DirectoryNode node,
                                        ChunkGroup grouping)

  Creates all the chunks for a given Directory, but doesn't recurse or descend

### process

    protected static void process(Entry entry,
                                  ChunkGroup grouping)

  Creates a chunk, and gives it to its parent group

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.